1.1
1.1
get /v1/accounts/{account_id}/users
Description
List IAM users
State ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | account_id required | Account ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | login_id optional | Login ID Example : | any of [string, null] | None |
| query | email optional | 사용자 Email Example : | any of [string, null] | None |
| query | nation_id optional | 국가 ID Example : | any of [string, null] | None |
| query | phone_number optional | 사용자 휴대 전화 번호 Example : | any of [string, null] | None |
| query | user_name optional | 사용자 이름 Example : | any of [string, null] | None |
| query | exclude_group_id optional | 예외 대상 그룹 Example : | any of [string, null] | None |
| query | exclude_policy_id optional | 예외 대상 정책 Example : | any of [string, null] | None |
| query | type optional | User Type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListIAMUserResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/accounts/{account_id}/users
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"users": [
{
"account_id": "",
"company_name": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"dst_offset": "",
"email": "",
"email_authenticated": "",
"first_name": "",
"groups": [
""
],
"id": "",
"last_login_at": "",
"last_name": "",
"last_password_update_at": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"password_reuse_count": "",
"phone_authenticated": "",
"policies": [],
"state": "",
"timezone": "",
"type": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
]
}